Company logoTrust Center Documentation
HelpChat

Ask the documentation assistant

Streams an AI SDK UI message response from the documentation assistant. When the documentation assistant cannot find a supported answer, Admin Center records…

POST
/api/help/chat

Streams an AI SDK UI message response from the documentation assistant.

When the documentation assistant cannot find a supported answer, Admin Center records the question as anonymous feedback with opinion AI Ask.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

text/event-stream

application/json

application/json

application/json

curl -X POST "https://example.com/api/help/chat" \  -H "Content-Type: application/json" \  -d '{    "messages": [      {        "id": "msg_1",        "role": "user",        "parts": [          {            "type": "text",            "text": "How do I add a vendor?"          }        ]      }    ],    "locale": "en",    "currentPath": "/vendors/new"  }'
"string"
{
  "error": "Unauthorized"
}
{
  "error": "Method not allowed"
}
{
  "error": "Documentation assistant is unavailable"
}

How is this guide?